import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

// =======================================
// Class SimpleButtonJDK11
// =======================================
public class SimpleButtonJDK11
{
  // =======================================
  // main
  // =======================================
  public static void main(String args[])
  {
    FrameWindow frame;
    
    frame =  new FrameWindow("Frame window");
    frame.init();
    frame.show();
  }
}

// =======================================
// Class FrameWindow
// =======================================
class FrameWindow extends Frame
  implements ActionListener, WindowListener
{
  Button btnYellowBackground;
  Button btnWhiteBackground;
  Button btnDisable;
  Button btnEnable;

  // ============================================
  // FrameWindow
  // ============================================
  public FrameWindow(String szTitle)
  {
    super(szTitle);
    setSize(400, 90);
  }

  // ============================================
  // init
  // ============================================
  public void init()
  {
    btnYellowBackground = new Button("Yellow");
    btnWhiteBackground = new Button("White");
    btnDisable = new Button("Disable");
    btnEnable = new Button("Enable");
    
    setLayout(new FlowLayout());
    
    add(btnYellowBackground);
    add(btnWhiteBackground);
    add(btnDisable);
    add(btnEnable);
    
    btnEnable.setEnabled(false);
    
    btnYellowBackground.addActionListener(this);
    btnWhiteBackground.addActionListener(this);
    btnDisable.addActionListener(this);
    btnEnable.addActionListener(this);
    
    this.addWindowListener(this);
  }

  // ============================================
  // actionPerformed
  // ============================================
  public void actionPerformed(ActionEvent e)
  {
    if(e.getSource().equals(btnYellowBackground))
    {
      setBackground(Color.yellow);
    }
    
    else if(e.getSource().equals(btnWhiteBackground))
    {
      setBackground(Color.white);
    }
      
    else if(e.getSource().equals(btnDisable))
    {
      btnWhiteBackground.setEnabled(false);
      btnYellowBackground.setEnabled(false);
	
      btnDisable.setEnabled(false);
      btnEnable.setEnabled(true);
    }
      
    else if(e.getSource().equals(btnEnable))
    {
      btnWhiteBackground.setEnabled(true);
      btnYellowBackground.setEnabled(true);
	
      btnEnable.setEnabled(false);
      btnDisable.setEnabled(true);
    }
    
    repaint();
  }
  
  // ============================================
  // paint
  // ============================================
  public void paint(Graphics g)
  {
    super.paint(g);
  }
  
  // ============================================
  // windowClosing
  // ============================================
  public void windowClosing(WindowEvent e)
  {
    setVisible(false);
    System.exit(0);
  }
  
  public void windowOpened(WindowEvent e) {}
  public void windowClosed(WindowEvent e) {}
  public void windowIconified(WindowEvent e) {}
  public void windowDeiconified(WindowEvent e) {}
  public void windowActivated(WindowEvent e) {}
  public void windowDeactivated(WindowEvent e) {}
}